#
create_clock -name CLK50MIN -period 20 [get_ports CLK50M]

create_generated_clock -name CLK12M -source [get_ports CLK50M] \
  -divide_by 4 "U_CLKGEN|U_PLL12M100M|altpll_component|auto_generated|pll1|clk[0]"

create_generated_clock -name CLK50M -source [get_ports CLK50M] \
               "U_CLKGEN|U_PLL12M100M|altpll_component|auto_generated|pll1|clk[1]"


set_clock_uncertainty -from CLK12M   -to CLK12M   0.2
set_clock_uncertainty -from CLK12M   -to CLK50M   0.2
set_clock_uncertainty -from CLK12M   -to CLK50MIN 0.2
set_clock_uncertainty -from CLK50M   -to CLK12M   0.2
set_clock_uncertainty -from CLK50M   -to CLK50M   0.2
set_clock_uncertainty -from CLK50M   -to CLK50MIN 0.2
set_clock_uncertainty -from CLK50MIN -to CLK12M   0.2
set_clock_uncertainty -from CLK50MIN -to CLK50M   0.2
set_clock_uncertainty -from CLK50MIN -to CLK50MIN 0.2

set_output_delay -clock CLK50M -max 2 [all_outputs]
set_output_delay -clock CLK50M -min 0 [all_outputs]


